Subject: Re: [PATCH 1/3] ath9k: add option to reset the wifi chip via debugfs

From: Kalle Valo <[email-masked]>
Date: Tue, 5 Oct 2021 14:27:48 +0000 (UTC)

Linus Lüssing <[email-masked]> wrote:

> Sometimes, in yet unknown cases the wifi chip stops working. To allow a
> watchdog in userspace to easily and quickly reset the wifi chip, add the
> according functionality to userspace. A reset can then be triggered
> via:
> 
>   $ echo 1 > /sys/kernel/debug/ieee80211/phy0/ath9k/reset
> 
> The number of user resets can further be tracked in the row "User reset"
> in the same file.
> 
> So far people usually used "iw scan" to fix ath9k chip hangs from
> userspace. Which triggers the ath9k_queue_reset(), too. The reset file
> however has the advantage of less overhead, which makes debugging bugs
> within ath9k_queue_reset() easier.
> 
> Signed-off-by: Linus Lüssing <[email-masked]>
> Signed-off-by: Kalle Valo <[email-masked]>

2 patches applied to ath-next branch of ath.git, thanks.

053f9852b95e ath9k: add option to reset the wifi chip via debugfs
4925642d5412 ath9k: Fix potential interrupt storm on queue reset

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches